<!DOCTYPE html>
<html>

<head>
    <meta charset='UTF-8'>
    <title>Trabalhando com Eventos #01</title>
    <link rel='stylesheet' href='css/estilo.css'>
</head>

<body class="conteudo exercicio">
    <div>
        <!-- onclick="navegarEm5s(event)" -->
        <a esperar-um-pouco="5" href="https://google.com.br">Google</a>
    </div>
    <div>
        <a esperar-um-pouco="2" href="https://google.com.br">Google</a>
    </div>
    <script>
        function navegarEm5s(e) {
            e.preventDefault()
            const tempoDeEspera = (this.getAttribute('esperar-um-pouco')) * 1000
            console.log('Saindo em 5s...')
            setTimeout(() => {
                const link = e.target
                window.location.href = link.href
            }, tempoDeEspera)
        }

        // const a = document.querySelector('a')
        // a.onclick = navegarEm5s

        const a = document.querySelector('[esperar-um-pouco]')
        a.onclick = navegarEm5s
    </script>
</body>